Bug 489899 - selinux-policy: allow dbus to domain_read_all_domains_state [rhel-5.4]
selinux-policy: allow dbus to domain_read_all_domains_state [rhel-5.4]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.4
All Linux
medium Severity medium
: rc
: ---
Assigned To: Daniel Walsh
BaseOS QE
: ZStream
Depends On:
Blocks: CVE-2008-4311
  Show dependency treegraph
 
Reported: 2009-03-12 10:10 EDT by Tomas Hoger
Modified: 2012-10-15 09:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 489894
Environment:
Last Closed: 2009-09-02 03:58:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2009-03-12 10:10:12 EDT
+++ This bug was initially created as a clone of Bug #489894 +++

dbus patch for CVE-2008-4311 introduces logging of denied message bus messages.
To make the messages more useful, dbus-daemon reads /proc/*/cmdline and
include its content in log message.  Such access is, however, prohibited by
current selinux-policy in Red Hat Enterprise Linux 5.  To avoid AVCs for dbus
log messages, policy should allow dbus-daemon to:

  domain_read_all_domains_state(system_dbusd_t)

Note: this fix is already included in selinux-policy in Rawhide / Fedora 11.
Comment 1 Daniel Walsh 2009-03-12 10:33:21 EDT
Fixed in selinux-policy-2.4.6-217.el5
Comment 7 errata-xmlrpc 2009-09-02 03:58:35 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1242.html

Note You need to log in before you can comment on or make changes to this bug.